import { FormGroup } from "@angular/forms";
import { User } from "@cleavelandprice/ngx-lib/active-directory";
import { Config } from "./config";
export interface DialogData {
    formGroup: FormGroup;
    controlName: string;
    value: string | undefined;
    config: Config;
    placeholder: string | undefined;
    format: 'object' | 'html' | 'text' | 'json';
    height: string;
    width: string;
    maxHeight: string;
    maxWidth: string;
    enableTooltips: boolean;
    fullscreen: boolean;
    fullscreenMode: 'expand' | 'popout';
    readonly: boolean;
    users: User[] | undefined;
}
